<?php
if(!class_exists('ptap_common_authentication')){
	class ptap_common_authentication{
		private $api_url = 'http://app.pwa-for-wp.com/';
		public function __construct(){

		}

		public function sender_request($suffix,$postData, $headers=array(), $getHeader= false){
			$data = array( 'timeout' => 1000, 'sslverify' => false, 'body' => json_encode($postData));
			$headers['Content-Type'] = 'application/json';
			$header = array("headers"=>$headers);
			
			$data = array_merge($data,$header);
			$request = wp_remote_post($this->api_url.$suffix, $data);
			$response = false;
			if ( ! is_wp_error( $request ) ) {
				$response = wp_remote_retrieve_body( $request );
			}
			$code = wp_remote_retrieve_response_code($request);
			if($code==200){
				if($getHeader){
					return array('status'=> $code, 'body'=>$response, 'header'=> wp_remote_retrieve_headers( $request ) );
				}
			}else{
				if($getHeader){
					return array('status'=> $code, 'body'=>$response, 'header'=> wp_remote_retrieve_headers( $request ) );
				}
			}
			return $response;
		}

	}
}